## org.biojava.bio.seq.io.game
Class GAMEFeatureSpanHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXFeatureHandler
              org.biojava.bio.seq.io.game.GAMEFeatureSpanHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEFeatureSpanHandler

extends StAXFeatureHandler

Handles the <feature_span> element

Since:
  1.8
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` `GAME_FEATURESPAN_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`callbackStack, endLoc, featureListener, featureTemplate, stackLevel, startLoc`

Method Summary
`protected Feature.Template` `createTemplate()` generates a very basic Template for the feature with SmallAnnotation in the annotation field.
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`addHandler, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, setFeatureListener, setHandlerCharacteristics, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_FEATURESPAN_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_FEATURESPAN_HANDLER_FACTORY

Method Detail

### createTemplate

    protected Feature.Template createTemplate()

  Description copied from class: `StAXFeatureHandler`
  generates a very basic Template for the feature with SmallAnnotation in the annotation field.

  Override if you wish a more specialised Template.

  Overrides:
    `createTemplate` in class `StAXFeatureHandler`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`